## org.apache.myfaces.el
Class ELParserHelper

    java.lang.Object
      org.apache.myfaces.el.ELParserHelper

public class ELParserHelper
extends java.lang.Object

Utility class to implement support functionality to "morph" JSP EL into JSF EL

Version:
  $Revision: 231425 $ $Date: 2005-08-11 07:49:45 -0400 (Thu, 11 Aug 2005) $
Author:
  Anton Koinov (latest modification by $Author: mbr $)

Nested Class Summary
`static class` `ELParserHelper.MyArraySuffix` Override ArraySuffix.evaluate() to use our property resolver
`static class` `ELParserHelper.MyPropertySuffix`

Field Summary
`static org.apache.commons.el.Logger` `LOGGER`

Method Summary
`static java.lang.Object` `parseExpression(java.lang.String expressionString)` Gets the parsed form of the given expression string.
`static java.lang.Integer` `toIndex(java.lang.Object base, java.lang.Object index)` Coerces `index` to Integer for array types, or returns `null` for non-array types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER

    public static final org.apache.commons.el.Logger LOGGER

Method Detail

### parseExpression

    public static java.lang.Object parseExpression(java.lang.String expressionString)

  Gets the parsed form of the given expression string. Returns either an Expression or ExpressionString.

### toIndex

    public static java.lang.Integer toIndex(java.lang.Object base,
                                            java.lang.Object index)
                                     throws javax.servlet.jsp.el.ELException,
                                            javax.faces.el.EvaluationException

  Coerces `index` to Integer for array types, or returns `null` for non-array types.

  Parameters:
    `base` - Object for the base
    `index` - Object for the index
  Returns:
    Integer a valid Integer index, or null if not an array type
  Throws:
    `javax.servlet.jsp.el.ELException` - if exception occurs trying to coerce to Integer
    `javax.faces.el.EvaluationException` - if base is array type but cannot convert index to Integer